%global srcname beanvalidation-api

Name:           jakarta-validation
Version:        3.0.0
Release:        %mkrel 4
Summary:        Bean Validation API
License:        ASL 2.0
Group:		Development/Java
URL:            https://github.com/eclipse-ee4j/beanvalidation-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)

%description
Jakarta Bean Validation defines a metadata model and API for JavaBean
and method validation.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{version}

# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license license.txt NOTICE.md
%doc README.md

%files javadoc -f .mfiles-javadoc
%license license.txt NOTICE.md




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.0-4.mga10
+ Revision: 2223409
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 3.0.0-3.mga10
+ Revision: 2067002
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 3.0.0-2.mga9
+ Revision: 1827666
- Mageia 9 Mass Rebuild

* Tue Jan 05 2021 neoclust <neoclust> 3.0.0-1.mga8
+ Revision: 1669070
- imported package jakarta-validation


* Tue Sep 01 2020 Fabio Valentini <decathorpe@gmail.com> - 3.0.0-1
- Initial packaging for fedora.

